Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.ui.graphicImage
Class GraphicImageResource

    java.lang.Object
      org.jboss.seam.web.AbstractResource
          org.jboss.seam.ui.graphicImage.GraphicImageResource

    @Scope(value=APPLICATION)
    @Name(value="org.jboss.seam.ui.graphicImage.graphicImageResource")
    @Install(precedence=0)
    @BypassInterceptors
    public class GraphicImageResource

extends org.jboss.seam.web.AbstractResource

Serves images from the image store

Field Summary
`static String` | `GRAPHIC_IMAGE_RESOURCE_PATH`

Constructor Summary
`GraphicImageResource()`

Method Summary
`void` | `getResource(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`String` | `getResourcePath()`

Methods inherited from class org.jboss.seam.web.AbstractResource
`getServletContext, isCompressedMimeType, isGzipEnabled, selectOutputStream, setServletContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GRAPHIC_IMAGE_RESOURCE_PATH

    public static final String GRAPHIC_IMAGE_RESOURCE_PATH

See Also:
  Constant Field Values

Constructor Detail

### GraphicImageResource

    public GraphicImageResource()

Method Detail

### getResourcePath

    public String getResourcePath()

  Specified by:
    `getResourcePath` in class `org.jboss.seam.web.AbstractResource`

### getResource

    public void getResource(javax.servlet.http.HttpServletRequest request,
                            javax.servlet.http.HttpServletResponse response)
                     throws javax.servlet.ServletException,
                            IOException

  Specified by:
    `getResource` in class `org.jboss.seam.web.AbstractResource`
  Throws:
    `javax.servlet.ServletException`
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam UI JSF2 support 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.